
iconName = 'icons'
labelText = 'Misc.'


from qt import QFrame, QHBoxLayout, QVBoxLayout, SIGNAL, QPoint
from kdecore import i18n
from kdeui import KAboutDialog, KPushButton, KBugReport, KTextEdit
from kdeui import KRootPermsIcon, KWritePermsIcon


helpText = ("Samples for the KRootPermsIcon and KWritePermsIcon classes."
            "These icons don't do anything.")


class MainFrame(QFrame):
    def __init__(self, parent=None):
        QFrame.__init__(self, parent)

        layout = QVBoxLayout(self, 4)
        layout.setAutoAdd(True)

        self.help = KTextEdit(helpText, '', self)
        self.root = KRootPermsIcon(None)
        self.root.reparent(self, 0, QPoint(0,0), True)

        import os
        fn = os.path.abspath('.')
        print fn
        self.write = KWritePermsIcon(fn)
        self.write.reparent(self, 0, QPoint(0,0), True)
